import { Box, useTheme } from "@mui/material";

interface Props {
  color?: string;
  bgcolor?: string;
  marL?: string;
}

export default function CopyIcon({ color, bgcolor, marL }: Props) {
  const theme = useTheme();

  return (
    <Box
      sx={{
        bgcolor,
        borderRadius: "6px",
        height: "36px",
        width: "36px",
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        marginLeft: 0 || marL,
      }}
    >
      <svg
        width="36"
        height="36"
        viewBox="0 0 36 36"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M21.75 21.75H26.25V9.75H14.25V14.25"
          stroke={color}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M21.75 14.25H9.75V26.25H21.75V14.25Z"
          stroke={color}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
      </svg>
    </Box>
  );
}
