import type { AnyTypedQuizQuestion } from "../model/questionTypes/shared";

export const QUESTIONS_DUMMY: AnyTypedQuizQuestion[] = [
  {
    id: "1",
    title: "",
    type: "variant",
    expanded: true,
    required: false,
    deleted: false,
    deleteTimeoutId: 0,
    backendId: 1111,
    description: "",
    openedModalSettings: false,
    page: 1,
    quizId: 1,
    content: {
      hint: {
        text: "",
        video: "",
      },
      rule: {
        main: [],
        default: "1",
      },
      back: "",
      originalBack: "",
      autofill: false,
      largeCheck: false,
      multi: false,
      own: false,
      innerNameCheck: false,
      required: false,
      innerName: "",
      variants: [],
    },
  },
  {
    id: "2",
    title: "Вы идёте в школу",
    type: "page",
    expanded: true,
    required: false,
    deleted: false,
    deleteTimeoutId: 0,
    backendId: 1112,
    description: "",
    openedModalSettings: false,
    page: 1,
    quizId: 1,
    content: {
      hint: {
        text: "",
        video: "",
      },
      rule: {
        main: [],
        default: "1",
      },
      back: "",
      originalBack: "",
      autofill: false,

      innerNameCheck: false,
      innerName: "",
      text: "",
      picture: "",
      originalPicture: "",
      video: "",
    },
  },
  {
    id: "3",
    title: "Вы немного опоздали, как поступите?",
    type: "variant",
    expanded: true,
    required: true,
    deleted: false,
    deleteTimeoutId: 0,
    backendId: 1113,
    description: "",
    openedModalSettings: false,
    page: 1,
    quizId: 1,
    content: {
      hint: {
        text: "",
        video: "",
      },
      rule: {
        main: [],
        default: "2",
      },
      back: "",
      originalBack: "",
      autofill: false,
      largeCheck: false,
      multi: false,
      own: false,
      innerNameCheck: false,
      required: false,
      innerName: "",
      variants: [
        {
          id: "answer1",
          answer: "Извинюсь за опоздание и займу своё место",
          extendedText: "",
          hints: "",
        },
        {
          id: "answer2",
          answer:
            "Вынесу дверь с ноги и распинав всех направлюсь к месту у розетки",
          extendedText: "",
          hints: "",
        },
        {
          id: "answer3",
          answer: "Влечу в кабинет, пробегу его и выпрыгну в окно",
          extendedText: "",
          hints: "",
        },
      ],
    },
  },
  {
    id: "4",
    title: "Вы открываете дверь кабинета, приготовившись исполнить задуманное",
    type: "page",
    expanded: true,
    required: false,
    deleted: false,
    deleteTimeoutId: 0,
    backendId: 1114,
    description: "",
    openedModalSettings: false,
    page: 1,
    quizId: 1,
    content: {
      hint: {
        text: "",
        video: "",
      },
      rule: {
        main: [
          //момент выбора куда мы пойдём
          {
            next: "7",
            or: true,
            rules: [
              {
                question: "2",
                answers: ["answer1"],
              },
            ],
          },
          {
            next: "6",
            or: true,
            rules: [
              {
                question: "2",
                answers: ["answer2"],
              },
            ],
          },
          {
            next: "5",
            or: true,
            rules: [
              {
                question: "2",
                answers: ["answer3"],
              },
            ],
          },
        ],
        default: "2",
      },
      back: "",
      originalBack: "",
      autofill: false,
      innerNameCheck: false,
      innerName: "",
      text: "",
      picture: "",
      originalPicture: "",
      video: "",
    },
  },
  {
    id: "5",
    title: "Вы умерли",
    type: "page",
    expanded: true,
    required: false,
    deleted: false,
    deleteTimeoutId: 0,
    backendId: 1115,
    description: "",
    openedModalSettings: false,
    page: 1,
    quizId: 1,
    content: {
      hint: {
        text: "",
        video: "",
      },
      rule: {
        main: [],
        default: "",
      },
      back: "",
      originalBack: "",
      autofill: false,
      innerNameCheck: false,
      innerName: "",
      text: "",
      picture: "",
      originalPicture: "",
      video: "",
    },
  },
  {
    id: "6",
    title: "Вас вызвали к директору",
    type: "page",
    expanded: true,
    required: false,
    deleted: false,
    deleteTimeoutId: 0,
    backendId: 1116,
    description: "",
    openedModalSettings: false,
    page: 1,
    quizId: 1,
    content: {
      hint: {
        text: "",
        video: "",
      },
      rule: {
        main: [],
        default: "",
      },
      back: "",
      originalBack: "",
      autofill: false,
      innerNameCheck: false,
      innerName: "",
      text: "",
      picture: "",
      originalPicture: "",
      video: "",
    },
  },
  {
    id: "7",
    title: "Вы получили отлично",
    type: "page",
    expanded: true,
    required: false,
    deleted: false,
    deleteTimeoutId: 0,
    backendId: 1117,
    description: "",
    openedModalSettings: false,
    page: 1,
    quizId: 1,
    content: {
      hint: {
        text: "",
        video: "",
      },
      rule: {
        main: [],
        default: "",
      },
      back: "",
      originalBack: "",
      autofill: false,
      innerNameCheck: false,
      innerName: "",
      text: "",
      picture: "",
      originalPicture: "",
      video: "",
    },
  },
];
