import type { QuizQuestionBase, QuestionHint, PreviewRule } from "./shared";

export const UPLOAD_FILE_TYPES_MAP = {
  all: "Все типы файлов",
  picture: "Изображения",
  video: "Видео",
  audio: "Аудио",
  document: "Документ",
} as const;

export type UploadFileType = keyof typeof UPLOAD_FILE_TYPES_MAP;

export interface QuizQuestionFile extends QuizQuestionBase {
  type: "file";
  content: {
    id: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Чекбокс "Автозаполнение адреса" */
    autofill: boolean;
    type: UploadFileType;
    hint: QuestionHint;
    rule: PreviewRule;
    back: string;
    originalBack: string;
  };
}
