import type { QuizQuestionBase, QuestionHint, PreviewRule } from "./shared";

export interface QuizQuestionRating extends QuizQuestionBase {
  type: "rating";
  content: {
    id: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    steps: number;
    ratingExpanded: boolean;
    /** Форма иконки */
    form: string;
    hint: QuestionHint;
    rule: PreviewRule;
    back: string;
    originalBack: string;
    autofill: boolean;
    /** Позитивное описание рейтинга */
    ratingPositiveDescription: string;
    /** Негативное описание рейтинга */
    ratingNegativeDescription: string;
  };
}
