import { Box } from "@mui/material";
import { FirstNodeField } from "./FirstNodeField";
import CsComponent from "./CsComponent";
import { useCurrentQuiz } from "@root/quizes/hooks";
import { useEffect, useState } from "react";
import { BranchingQuestionsModal } from "../BranchingQuestionsModal";
import { useUiTools } from "@root/uiTools/store";

export const BranchingMap = () => {
  const quiz = useCurrentQuiz();
  const { dragQuestionContentId } = useUiTools();
  const [modalQuestionParentContentId, setModalQuestionParentContentId] =
    useState<string>("");
  const [modalQuestionTargetContentId, setModalQuestionTargetContentId] =
    useState<string>("");
  const [openedModalQuestions, setOpenedModalQuestions] =
    useState<boolean>(false);

  return (
    <Box
      id="cytoscape-container"
      sx={{
        overflow: "hidden",
        padding: "20px",
        background: "#FFFFFF",
        borderRadius: "12px",
        boxShadow: "0px 8px 24px rgba(210, 208, 225, 0.4)",
        marginBottom: "40px",
        height: "568px",
        border: dragQuestionContentId === null ? "none" : "#7e2aea 2px dashed",
      }}
    >
      {quiz?.config.haveRoot ? (
        <CsComponent
          modalQuestionParentContentId={modalQuestionParentContentId}
          modalQuestionTargetContentId={modalQuestionTargetContentId}
          setOpenedModalQuestions={setOpenedModalQuestions}
          setModalQuestionParentContentId={setModalQuestionParentContentId}
          setModalQuestionTargetContentId={setModalQuestionTargetContentId}
        />
      ) : (
        <FirstNodeField
          setOpenedModalQuestions={setOpenedModalQuestions}
          modalQuestionTargetContentId={modalQuestionTargetContentId}
        />
      )}
      <BranchingQuestionsModal
        openedModalQuestions={openedModalQuestions}
        setOpenedModalQuestions={setOpenedModalQuestions}
        setModalQuestionTargetContentId={setModalQuestionTargetContentId}
      />
    </Box>
  );
};
