import { QuizQuestionSelect } from "@model/questionTypes/select";
import HelpQuestions from "../helpQuestions";
import SettingDropDown from "./settingDropDown";

interface Props {
  switchState: string;
  question: QuizQuestionSelect;
}

export default function SwitchDropDown({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <SettingDropDown question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    default:
      return <></>;
  }
}
