import { QuizQuestionEmoji } from "@model/questionTypes/emoji";
import HelpQuestions from "../helpQuestions";
import SettingEmoji from "./settingEmoji";

interface Props {
  switchState: string;
  question: QuizQuestionEmoji;
}

export default function SwitchEmoji({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <SettingEmoji question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    default:
      return <></>;
  }
}
