import { QuizQuestionVarImg } from "@model/questionTypes/varimg";
import UploadImage from "../UploadImage";
import HelpQuestions from "../helpQuestions";
import SettingOptionsAndPict from "./SettingOptionsAndPict";

interface Props {
  switchState: string;
  question: QuizQuestionVarImg;
}

export default function SwitchOptionsAndPict({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <SettingOptionsAndPict question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    case "image":
      return <UploadImage question={question} />;
    default:
      return <></>;
  }
}
