import { QuizQuestionText } from "@model/questionTypes/text";
import HelpQuestions from "../helpQuestions";
import SettingTextField from "./settingTextField";

interface Props {
  switchState: string;
  question: QuizQuestionText;
}

export default function SwitchTextField({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <SettingTextField question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    default:
      return <></>;
  }
}
