import { QuizQuestionPage } from "@model/questionTypes/page";
import HelpQuestions from "../helpQuestions";
import SettingPageOptions from "./SettingPageOptions";

interface Props {
  switchState: string;
  question: QuizQuestionPage;
}

export default function SwitchPageOptions({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <SettingPageOptions question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    default:
      return <></>;
  }
}
