import { QuizQuestionRating } from "@model/questionTypes/rating";
import HelpQuestions from "../helpQuestions";
import SettingRating from "./settingRating";

interface Props {
  switchState: string;
  question: QuizQuestionRating;
}

export default function SwitchRating({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <SettingRating question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    default:
      return <></>;
  }
}
