import { QuizQuestionVariant } from "@model/questionTypes/variant";
import UploadImage from "../UploadImage";
import HelpQuestions from "../helpQuestions";
import ResponseSettings from "./responseSettings";

interface Props {
  switchState: string;
  question: QuizQuestionVariant;
}

export default function SwitchAnswerOptions({
  switchState = "setting",
  question,
}: Props) {
  switch (switchState) {
    case "setting":
      return <ResponseSettings question={question} />;
    case "help":
      return <HelpQuestions question={question} />;
    case "image":
      return <UploadImage question={question} />;
    default:
      return <></>;
  }
}
