import { Box, Button } from "@mui/material";
import CreationCard from "@ui_kit/CreationCard";
import quizCreationImage1 from "../../assets/quiz-creation-1.png";
import quizCreationImage2 from "../../assets/quiz-creation-2.png";
import { setQuizType } from "@root/quizes/actions";
import { useCurrentQuiz } from "@root/quizes/hooks";

export default function StepOne() {
  const quiz = useCurrentQuiz();
  const config = quiz?.config;

  if (!config) return null;

  return (
    <Box
      sx={{
        overflowX: "scroll",
        padding: "0 5px 15px",
        "&::-webkit-scrollbar": { width: 0 },
      }}
    >
      <Box
        sx={{
          minWidth: "720px",
          display: "flex",
          gap: "20px",
          mt: "60px",
        }}
      >
        <Button
          variant="text"
          data-cy="create-quiz-card"
          onClick={() => {
            setQuizType(quiz.id, "quiz");
          }}
        >
          <CreationCard
            header="Создание quiz-опроса"
            text="Стартовая страница - это ваша визитка, от качества её будет зависеть, как конверсия пользователей которые захотели пройти ваш опрос, так и конверсия в форму контактных данных, так как именно стартовая страница - залог доверия клиентов к вам"
            image={quizCreationImage1}
            border={config.type === "quiz" ? "1px solid #7E2AEA" : "none"}
          />
        </Button>
        <Button
          variant="text"
          onClick={() => {
            setQuizType(quiz.id, "form");
          }}
        >
          <CreationCard
            header="Создание анкеты"
            text="Режим анкеты создан, в целях оставить пользователю варианты вопросов используемых в исследованиях и убирания всего лишнего, что может мешать и приводить к ошибкам"
            image={quizCreationImage2}
            border={config.type === "form" ? "1px solid #7E2AEA" : "none"}
          />
        </Button>
      </Box>
    </Box>
  );
}
