import EmojiPickerOriginal from "@emoji-mart/react";
import { Box } from "@mui/material";

type Emoji = {
  emoticons: string[];
  id: string;
  keywords: string[];
  name: string;
  native: string;
  shortcodes: string;
  unified: string;
};

type EmojiPickerProps = {
  onEmojiSelect: (emoji: Emoji) => void;
};

export const EmojiPicker = ({ onEmojiSelect }: EmojiPickerProps) => (
  <Box sx={{ minWidth: "352px" }}>
    <EmojiPickerOriginal
      onEmojiSelect={onEmojiSelect}
      theme="light"
      locale="ru"
    />
  </Box>
);
