import { Box, Typography, useTheme } from "@mui/material";

import LabeledDatePicker from "@ui_kit/LabeledDatePicker";
import type { QuizQuestionDate } from "model/questionTypes/date";
import { modes } from "@utils/themes/Publication/themePublication";
import { useCurrentQuiz } from "@root/quizes/hooks";

interface Props {
  question: QuizQuestionDate;
}

export default function Date({ question }: Props) {
  const theme = useTheme();
  const mode = modes;
  const quiz = useCurrentQuiz();
  return (
    <Box
      sx={{
        display: "flex",
        flexDirection: "column",
        gap: 1,
      }}
    >
      <Typography variant="h6" data-cy="question-title">
        {question.title}
      </Typography>
      <LabeledDatePicker
        sxIcon={{
          "& path": { stroke: theme.palette.primary.main },
          "& rect": { stroke: theme.palette.primary.main },
        }}
        sxDate={{
          "& .MuiInputBase-root": {
            backgroundColor: mode[quiz.config.theme]
              ? "white"
              : theme.palette.background.default,
            borderRadius: "10px",
            maxWidth: "250px",
            pr: "22px",
          },
        }}
        className="cancel"
      />
    </Box>
  );
}
