import { Box, Typography } from "@mui/material";
import YoutubeEmbedIframe from "@ui_kit/StartPagePreview/YoutubeEmbedIframe";

import type { QuizQuestionPage } from "model/questionTypes/page";

interface Props {
  question: QuizQuestionPage;
}

export default function Page({ question }: Props) {
  return (
    <Box
      sx={{
        display: "flex",
        flexDirection: "column",
        alignItems: "start",
        gap: 1,
      }}
    >
      <Typography
        variant="h6"
        data-cy="question-title"
        sx={{ paddingBottom: "25px" }}
      >
        {question.title}
      </Typography>

      <Typography data-cy="question-text" sx={{ paddingBottom: "20px" }}>
        {question.content.text}
      </Typography>

      {question.content.useImage ? (
        <img
          src={question.content.back}
          alt=""
          style={{
            display: "block",
            width: "100%",
            height: "100%",
            objectFit: "contain",
          }}
        />
      ) : (
        <YoutubeEmbedIframe
          containerSX={{ width: "100%", height: "50vh" }}
          videoUrl={question.content.video}
        />
      )}
    </Box>
  );
}
